Tag Parser: TagParser::VorbisCommentIds Namespace Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Functions
TagParser::VorbisCommentIds Namespace Reference

Encapsulates Vorbis comment field names. More...

## Functions
constexpr TAG_PARSER_EXPORT std::string_view | trackNumber ()
constexpr TAG_PARSER_EXPORT std::string_view | trackTotal ()
constexpr TAG_PARSER_EXPORT std::string_view | diskNumber ()
constexpr TAG_PARSER_EXPORT std::string_view | diskTotal ()
constexpr TAG_PARSER_EXPORT std::string_view | part ()
constexpr TAG_PARSER_EXPORT std::string_view | partNumber ()
constexpr TAG_PARSER_EXPORT std::string_view | partTotal ()
constexpr TAG_PARSER_EXPORT std::string_view | title ()
constexpr TAG_PARSER_EXPORT std::string_view | version ()
constexpr TAG_PARSER_EXPORT std::string_view | artist ()
constexpr TAG_PARSER_EXPORT std::string_view | albumArtist ()
constexpr TAG_PARSER_EXPORT std::string_view | grouping ()
constexpr TAG_PARSER_EXPORT std::string_view | album ()
constexpr TAG_PARSER_EXPORT std::string_view | label ()
constexpr TAG_PARSER_EXPORT std::string_view | labelNo ()
constexpr TAG_PARSER_EXPORT std::string_view | language ()
constexpr TAG_PARSER_EXPORT std::string_view | performer ()
constexpr TAG_PARSER_EXPORT std::string_view | composer ()
constexpr TAG_PARSER_EXPORT std::string_view | ensemble ()
constexpr TAG_PARSER_EXPORT std::string_view | arranger ()
constexpr TAG_PARSER_EXPORT std::string_view | lyricist ()
constexpr TAG_PARSER_EXPORT std::string_view | lyrics ()
constexpr TAG_PARSER_EXPORT std::string_view | author ()
constexpr TAG_PARSER_EXPORT std::string_view | conductor ()
constexpr TAG_PARSER_EXPORT std::string_view | encoder ()
constexpr TAG_PARSER_EXPORT std::string_view | encodedBy ()
constexpr TAG_PARSER_EXPORT std::string_view | encoderSettings ()
constexpr TAG_PARSER_EXPORT std::string_view | publisher ()
constexpr TAG_PARSER_EXPORT std::string_view | genre ()
constexpr TAG_PARSER_EXPORT std::string_view | originalMediaType ()
constexpr TAG_PARSER_EXPORT std::string_view | contentType ()
constexpr TAG_PARSER_EXPORT std::string_view | subject ()
constexpr TAG_PARSER_EXPORT std::string_view | description ()
constexpr TAG_PARSER_EXPORT std::string_view | director ()
constexpr TAG_PARSER_EXPORT std::string_view | isrc ()
constexpr TAG_PARSER_EXPORT std::string_view | rating ()
constexpr TAG_PARSER_EXPORT std::string_view | eanupn ()
constexpr TAG_PARSER_EXPORT std::string_view | comment ()
constexpr TAG_PARSER_EXPORT std::string_view | date ()
constexpr TAG_PARSER_EXPORT std::string_view | year ()
constexpr TAG_PARSER_EXPORT std::string_view | location ()
constexpr TAG_PARSER_EXPORT std::string_view | license ()
constexpr TAG_PARSER_EXPORT std::string_view | copyright ()
constexpr TAG_PARSER_EXPORT std::string_view | opus ()
constexpr TAG_PARSER_EXPORT std::string_view | sourceMedia ()
constexpr TAG_PARSER_EXPORT std::string_view | cover ()
constexpr TAG_PARSER_EXPORT std::string_view | bpm ()
constexpr TAG_PARSER_EXPORT std::string_view | publisherWebpage ()
constexpr TAG_PARSER_EXPORT std::string_view | website ()

## Detailed Description

Encapsulates Vorbis comment field names.

See also
  - See https://xiph.org/vorbis/doc/v-comment.html for the upstream documentation of the field names.
  - See https://wiki.xiph.org/Field_names for an additional proposal that is most notably introducing DISCNUMBER and …TOTAL fields.
  - See https://wiki.hydrogenaud.io/index.php?title=Tag_Mapping for further conventions and a comparision with other formats.

## Function Documentation

## ◆ album()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::album | ( |  | ) |
| constexpr

Definition at line 69 of file vorbiscommentids.h.

## ◆ albumArtist()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::albumArtist | ( |  | ) |
| constexpr

Definition at line 61 of file vorbiscommentids.h.

## ◆ arranger()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::arranger | ( |  | ) |
| constexpr

Definition at line 97 of file vorbiscommentids.h.

## ◆ artist()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::artist | ( |  | ) |
| constexpr

Definition at line 57 of file vorbiscommentids.h.

## ◆ author()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::author | ( |  | ) |
| constexpr

Definition at line 109 of file vorbiscommentids.h.

## ◆ bpm()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::bpm | ( |  | ) |
| constexpr

Definition at line 205 of file vorbiscommentids.h.

## ◆ comment()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::comment | ( |  | ) |
| constexpr

Definition at line 169 of file vorbiscommentids.h.

## ◆ composer()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::composer | ( |  | ) |
| constexpr

Definition at line 89 of file vorbiscommentids.h.

## ◆ conductor()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::conductor | ( |  | ) |
| constexpr

Definition at line 113 of file vorbiscommentids.h.

## ◆ contentType()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::contentType | ( |  | ) |
| constexpr

Definition at line 141 of file vorbiscommentids.h.

## ◆ copyright()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::copyright | ( |  | ) |
| constexpr

Definition at line 189 of file vorbiscommentids.h.

## ◆ cover()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::cover | ( |  | ) |
| constexpr

Definition at line 201 of file vorbiscommentids.h.

## ◆ date()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::date | ( |  | ) |
| constexpr

Definition at line 173 of file vorbiscommentids.h.

## ◆ description()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::description | ( |  | ) |
| constexpr

Definition at line 149 of file vorbiscommentids.h.

## ◆ director()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::director | ( |  | ) |
| constexpr

Definition at line 153 of file vorbiscommentids.h.

## ◆ diskNumber()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::diskNumber | ( |  | ) |
| constexpr

Definition at line 29 of file vorbiscommentids.h.

## ◆ diskTotal()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::diskTotal | ( |  | ) |
| constexpr

Definition at line 33 of file vorbiscommentids.h.

## ◆ eanupn()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::eanupn | ( |  | ) |
| constexpr

Definition at line 165 of file vorbiscommentids.h.

## ◆ encodedBy()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::encodedBy | ( |  | ) |
| constexpr

Definition at line 121 of file vorbiscommentids.h.

## ◆ encoder()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::encoder | ( |  | ) |
| constexpr

Definition at line 117 of file vorbiscommentids.h.

## ◆ encoderSettings()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::encoderSettings | ( |  | ) |
| constexpr

Definition at line 125 of file vorbiscommentids.h.

## ◆ ensemble()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::ensemble | ( |  | ) |
| constexpr

Definition at line 93 of file vorbiscommentids.h.

## ◆ genre()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::genre | ( |  | ) |
| constexpr

Definition at line 133 of file vorbiscommentids.h.

## ◆ grouping()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::grouping | ( |  | ) |
| constexpr

Definition at line 65 of file vorbiscommentids.h.

## ◆ isrc()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::isrc | ( |  | ) |
| constexpr

Definition at line 157 of file vorbiscommentids.h.

## ◆ label()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::label | ( |  | ) |
| constexpr

Definition at line 73 of file vorbiscommentids.h.

## ◆ labelNo()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::labelNo | ( |  | ) |
| constexpr

Definition at line 77 of file vorbiscommentids.h.

## ◆ language()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::language | ( |  | ) |
| constexpr

Definition at line 81 of file vorbiscommentids.h.

## ◆ license()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::license | ( |  | ) |
| constexpr

Definition at line 185 of file vorbiscommentids.h.

## ◆ location()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::location | ( |  | ) |
| constexpr

Definition at line 181 of file vorbiscommentids.h.

## ◆ lyricist()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::lyricist | ( |  | ) |
| constexpr

Definition at line 101 of file vorbiscommentids.h.

## ◆ lyrics()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::lyrics | ( |  | ) |
| constexpr

Definition at line 105 of file vorbiscommentids.h.

## ◆ opus()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::opus | ( |  | ) |
| constexpr

Definition at line 193 of file vorbiscommentids.h.

## ◆ originalMediaType()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::originalMediaType | ( |  | ) |
| constexpr

Definition at line 137 of file vorbiscommentids.h.

## ◆ part()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::part | ( |  | ) |
| constexpr

Definition at line 37 of file vorbiscommentids.h.

## ◆ partNumber()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::partNumber | ( |  | ) |
| constexpr

Definition at line 41 of file vorbiscommentids.h.

## ◆ partTotal()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::partTotal | ( |  | ) |
| constexpr

Definition at line 45 of file vorbiscommentids.h.

## ◆ performer()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::performer | ( |  | ) |
| constexpr

Definition at line 85 of file vorbiscommentids.h.

## ◆ publisher()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::publisher | ( |  | ) |
| constexpr

Definition at line 129 of file vorbiscommentids.h.

## ◆ publisherWebpage()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::publisherWebpage | ( |  | ) |
| constexpr

Definition at line 209 of file vorbiscommentids.h.

## ◆ rating()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::rating | ( |  | ) |
| constexpr

Definition at line 161 of file vorbiscommentids.h.

## ◆ sourceMedia()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::sourceMedia | ( |  | ) |
| constexpr

Definition at line 197 of file vorbiscommentids.h.

## ◆ subject()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::subject | ( |  | ) |
| constexpr

Definition at line 145 of file vorbiscommentids.h.

## ◆ title()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::title | ( |  | ) |
| constexpr

Definition at line 49 of file vorbiscommentids.h.

## ◆ trackNumber()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::trackNumber | ( |  | ) |
| constexpr

Definition at line 21 of file vorbiscommentids.h.

## ◆ trackTotal()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::trackTotal | ( |  | ) |
| constexpr

Definition at line 25 of file vorbiscommentids.h.

## ◆ version()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::version | ( |  | ) |
| constexpr

Definition at line 53 of file vorbiscommentids.h.

## ◆ website()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::website | ( |  | ) |
| constexpr

Definition at line 213 of file vorbiscommentids.h.

## ◆ year()

TAG_PARSER_EXPORT std::string_view TagParser::VorbisCommentIds::year | ( |  | ) |
| constexpr

Definition at line 177 of file vorbiscommentids.h.